Oracle Solaris Third-Party Patch Update : ghostscript (multiple_denial_of_service_vulnerabilities7)

This script is Copyright (C) 2015-2016 Tenable Network Security, Inc.


Synopsis :

The remote Solaris system is missing a security patch for third-party
software.

Description :

The remote Solaris system is missing necessary patches to address
security updates :

- Heap-based buffer overflow in the jpc_cox_getcompparms
function in libjasper/ jpc/jpc_cs.c in JasPer 1.900.1
allows remote attackers to execute arbitrary code or
cause a denial of service (memory corruption) via a
crafted numrlvls value in a coding style default (COD)
marker segment in a JPEG2000 file. (CVE-2011-4516)

- The jpc_crg_getparms function in libjasper/jpc/jpc_cs.c
in JasPer 1.900.1 uses an incorrect data type during a
certain size calculation, which allows remote attackers
to trigger a heap-based buffer overflow and execute
arbitrary code, or cause a denial of service (heap
memory corruption), via a crafted component registration
(CRG) marker segment in a JPEG2000 file. (CVE-2011-4517)

See also :

http://www.nessus.org/u?b5f8def1
http://www.nessus.org/u?99df297e

Solution :

Upgrade to Solaris 11/11 SRU 6.6.

Risk factor :

Medium / CVSS Base Score : 6.8
(CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P)
Public Exploit Available : true

Family: Solaris Local Security Checks

Nessus Plugin ID: 80618 ()

Bugtraq ID:

CVE ID: CVE-2011-4516
CVE-2011-4517

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now